/*
 * i2s.h
 *
 *  Created on: 2018/05/26
 */

#ifndef I2S_H_
#define I2S_H_

#define I2S_TRANSMIT     	0
#define I2S_RECEIVE     	1

#define I2S_MASTER     		0
#define I2S_SLAVE     		1

#define I2S_STEREO     		0
#define I2S_MONO     		1

#define I2S_MUTED     		1
#define I2S_UNMUTED 		0

#define I2S_4WIRE     		1
#define I2S_3WIRE     		0

void i2s_init();
void i2s_start();
void i2s_write(unsigned short buf[], int len);
void i2s_frequency(int desired_freq);
void i2s_wordsize(int words);
void i2s_stereomono(int stereomono);
void i2s_mute(int mute_en);
void i2s_begin(int sample_freq, int wordsize);
void i2s_end();

#endif /* I2S_H_ */
